function ac_repairing_services_menu_open_nav() {
	window.ac_repairing_services_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function ac_repairing_services_menu_close_nav() {
	window.ac_repairing_services_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},
		speed: 'fast'
 	});
});

jQuery(document).ready(function () {
	window.ac_repairing_services_currentfocus=null;
  	ac_repairing_services_checkfocusdElement();
	var ac_repairing_services_body = document.querySelector('body');
	ac_repairing_services_body.addEventListener('keyup', ac_repairing_services_check_tab_press);
	var ac_repairing_services_gotoHome = false;
	var ac_repairing_services_gotoClose = false;
	window.ac_repairing_services_responsiveMenu=false;
 	function ac_repairing_services_checkfocusdElement(){
	 	if(window.ac_repairing_services_currentfocus=document.activeElement.className){
		 	window.ac_repairing_services_currentfocus=document.activeElement.className;
	 	}
 	}
 	function ac_repairing_services_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.ac_repairing_services_responsiveMenu){
			if (!e.shiftKey) {
				if(ac_repairing_services_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				ac_repairing_services_gotoHome = true;
			} else {
				ac_repairing_services_gotoHome = false;
			}

		}else{

			if(window.ac_repairing_services_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.ac_repairing_services_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.ac_repairing_services_responsiveMenu){
				if(ac_repairing_services_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					ac_repairing_services_gotoClose = true;
				} else {
					ac_repairing_services_gotoClose = false;
				}

			}else{

			if(window.ac_repairing_services_responsiveMenu){
			}}}}
		}
	 	ac_repairing_services_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  /*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

  // Sticky Copyright
  $(window).scroll(function(){
    var sticky = $('.copyright-sticky'),
      scroll = $(window).scrollTop();

    if (scroll >= 100) sticky.addClass('copyright-fixed');
    else sticky.removeClass('copyright-fixed');
  });
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});

});


// sidebar menu
jQuery(document).ready(function () {
	
	function ac_repairing_services_search_loop_focus(element) {
		var ac_repairing_services_focus = element.find('select, input, textarea, button, a[href]');
		var ac_repairing_services_firstFocus = ac_repairing_services_focus[0];  
		var ac_repairing_services_lastFocus = ac_repairing_services_focus[ac_repairing_services_focus.length - 1];
		var KEYCODE_TAB = 9;

		element.on('keydown', function ac_repairing_services_search_loop_focus(e) {
			var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

			if (!isTabPressed) { 
			  return; 
			}

			if ( e.shiftKey ) /* shift + tab */ {
			  if (document.activeElement === ac_repairing_services_firstFocus) {
		    ac_repairing_services_lastFocus.focus();
		      e.preventDefault();
		    }
		  } else /* tab */ {
		  	if (document.activeElement === ac_repairing_services_lastFocus) {
		    	ac_repairing_services_firstFocus.focus();
		      e.preventDefault();
		    }
		  }
		});
	}

  jQuery('.toggle-btn a').click(function(){
    jQuery(".header-sidebar").addClass('show');
  	ac_repairing_services_search_loop_focus(jQuery('.header-sidebar'));
  });

  jQuery('.header-sidebar .close-pop a').click(function(){
    jQuery(".header-sidebar").removeClass('show');
  });
});

// // Video Popup
(function( $ ) {
    $(document).ready(function(){
        $('#openBtn').on('click', function() {
          $('#videoOverlay').css('display', 'flex');
        });
        $('.close-btn').on('click', function() {
          $('#videoOverlay').hide();
        });
    });
})( jQuery );

// Services section
jQuery('document').ready(function(){
  var owl = jQuery('#about-sec .owl-carousel');
    owl.owlCarousel({
    margin:20,
    nav: true,
    autoplay : true,
    autoplayTimeout: 2000,
    loop: false,
    dots:false,
    navText : ['<i class="fas fa-arrow-left"></i>','<i class="fas fa-arrow-right"></i>'],
    responsive: {
      0: {
        items: 1
      },
      600: {
        items: 2
      },
      1000: {
        items: 3
      }
    },
    autoplayHoverPause : true,
    mouseDrag: true
  });
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const ac_repairing_services_progressBar =
        document.getElementById("ac_repairing_services_elemento_progress_bar");
    if (!ac_repairing_services_progressBar) return;
    window.addEventListener("scroll", function () {
        const ac_repairing_services_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const ac_repairing_services_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const ac_repairing_services_scrolled =
            (ac_repairing_services_scrollTop / ac_repairing_services_height) * 100;
        ac_repairing_services_progressBar.style.width =
            ac_repairing_services_scrolled + "%";
    });
});